---
RSpec/FactoryBot/AvoidCreate:
  Exclude:
    - 'ee/spec/components/namespaces/free_user_cap/enforcement_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/free_user_cap/non_owner_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/free_user_cap/notification_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/free_user_cap/usage_quota_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/free_user_cap/usage_quota_trial_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/storage/limit_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/storage/pre_enforcement_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/storage/project_pre_enforcement_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/storage/subgroup_pre_enforcement_alert_component_spec.rb'
    - 'ee/spec/components/namespaces/storage/user_pre_enforcement_alert_component_spec.rb'
    - 'ee/spec/helpers/admin/ip_restriction_helper_spec.rb'
    - 'ee/spec/helpers/application_helper_spec.rb'
    - 'ee/spec/helpers/billing_plans_helper_spec.rb'
    - 'ee/spec/helpers/boards_helper_spec.rb'
    - 'ee/spec/helpers/compliance_management/compliance_framework/group_settings_helper_spec.rb'
    - 'ee/spec/helpers/ee/admin/identities_helper_spec.rb'
    - 'ee/spec/helpers/ee/blob_helper_spec.rb'
    - 'ee/spec/helpers/ee/branches_helper_spec.rb'
    - 'ee/spec/helpers/ee/ci/pipeline_editor_helper_spec.rb'
    - 'ee/spec/helpers/ee/ci/runners_helper_spec.rb'
    - 'ee/spec/helpers/ee/dashboard_helper_spec.rb'
    - 'ee/spec/helpers/ee/environments_helper_spec.rb'
    - 'ee/spec/helpers/ee/events_helper_spec.rb'
    - 'ee/spec/helpers/ee/feature_flags_helper_spec.rb'
    - 'ee/spec/helpers/ee/gitlab_routing_helper_spec.rb'
    - 'ee/spec/helpers/ee/graph_helper_spec.rb'
    - 'ee/spec/helpers/ee/groups/analytics/cycle_analytics_helper_spec.rb'
    - 'ee/spec/helpers/ee/groups/group_members_helper_spec.rb'
    - 'ee/spec/helpers/ee/groups_helper_spec.rb'
    - 'ee/spec/helpers/ee/hooks_helper_spec.rb'
    - 'ee/spec/helpers/ee/integrations_helper_spec.rb'
    - 'ee/spec/helpers/ee/invite_members_helper_spec.rb'
    - 'ee/spec/helpers/ee/issuables_helper_spec.rb'
    - 'ee/spec/helpers/ee/issues_helper_spec.rb'
    - 'ee/spec/helpers/ee/labels_helper_spec.rb'
    - 'ee/spec/helpers/projects/learn_gitlab_helper_spec.rb'
    - 'ee/spec/helpers/ee/lock_helper_spec.rb'
    - 'ee/spec/helpers/ee/namespace_user_cap_reached_alert_helper_spec.rb'
    - 'ee/spec/helpers/ee/namespaces_helper_spec.rb'
    - 'ee/spec/helpers/ee/operations_helper_spec.rb'
    - 'ee/spec/helpers/ee/personal_access_tokens_helper_spec.rb'
    - 'ee/spec/helpers/ee/projects/pipeline_helper_spec.rb'
    - 'ee/spec/helpers/ee/projects/security/api_fuzzing_configuration_helper_spec.rb'
    - 'ee/spec/helpers/ee/projects/security/configuration_helper_spec.rb'
    - 'ee/spec/helpers/ee/projects/security/dast_configuration_helper_spec.rb'
    - 'ee/spec/helpers/ee/projects/security/sast_configuration_helper_spec.rb'
    - 'ee/spec/helpers/ee/releases_helper_spec.rb'
    - 'ee/spec/helpers/ee/security_orchestration_helper_spec.rb'
    - 'ee/spec/helpers/ee/subscribable_banner_helper_spec.rb'
    - 'ee/spec/helpers/ee/todos_helper_spec.rb'
    - 'ee/spec/helpers/ee/trial_helper_spec.rb'
    - 'ee/spec/helpers/ee/users/callouts_helper_spec.rb'
    - 'ee/spec/helpers/ee/welcome_helper_spec.rb'
    - 'ee/spec/helpers/ee/wiki_helper_spec.rb'
    - 'ee/spec/helpers/epics_helper_spec.rb'
    - 'ee/spec/helpers/gitlab_subscriptions/upcoming_reconciliation_helper_spec.rb'
    - 'ee/spec/helpers/groups/feature_discovery_moments_helper_spec.rb'
    - 'ee/spec/helpers/groups/security_features_helper_spec.rb'
    - 'ee/spec/helpers/incident_management/escalation_policy_helper_spec.rb'
    - 'ee/spec/helpers/incident_management/oncall_schedule_helper_spec.rb'
    - 'ee/spec/helpers/license_helper_spec.rb'
    - 'ee/spec/helpers/license_monitoring_helper_spec.rb'
    - 'ee/spec/helpers/manual_quarterly_co_term_banner_helper_spec.rb'
    - 'ee/spec/helpers/markup_helper_spec.rb'
    - 'ee/spec/helpers/notes_helper_spec.rb'
    - 'ee/spec/helpers/path_locks_helper_spec.rb'
    - 'ee/spec/helpers/prevent_forking_helper_spec.rb'
    - 'ee/spec/helpers/projects/on_demand_scans_helper_spec.rb'
    - 'ee/spec/helpers/projects/project_members_helper_spec.rb'
    - 'ee/spec/helpers/projects/security/dast_profiles_helper_spec.rb'
    - 'ee/spec/helpers/projects/security/discover_helper_spec.rb'
    - 'ee/spec/helpers/projects_helper_spec.rb'
    - 'ee/spec/helpers/push_rules_helper_spec.rb'
    - 'ee/spec/helpers/routing/pseudonymization_helper_spec.rb'
    - 'ee/spec/helpers/search_helper_spec.rb'
    - 'ee/spec/helpers/seat_count_alert_helper_spec.rb'
    - 'ee/spec/helpers/security_helper_spec.rb'
    - 'ee/spec/helpers/subscriptions_helper_spec.rb'
    - 'ee/spec/helpers/timeboxes_helper_spec.rb'
    - 'ee/spec/helpers/trial_status_widget_helper_spec.rb'
    - 'ee/spec/helpers/users/identity_verification_helper_spec.rb'
    - 'ee/spec/helpers/users_helper_spec.rb'
    - 'ee/spec/helpers/vulnerabilities_helper_spec.rb'
    - 'ee/spec/mailers/ci_minutes_usage_mailer_spec.rb'
    - 'ee/spec/mailers/credentials_inventory_mailer_spec.rb'
    - 'ee/spec/mailers/devise_mailer_spec.rb'
    - 'ee/spec/mailers/ee/emails/admin_notification_spec.rb'
    - 'ee/spec/mailers/ee/emails/issues_spec.rb'
    - 'ee/spec/mailers/ee/emails/merge_requests_spec.rb'
    - 'ee/spec/mailers/ee/emails/profile_spec.rb'
    - 'ee/spec/mailers/ee/emails/projects_spec.rb'
    - 'ee/spec/mailers/emails/free_user_cap_spec.rb'
    - 'ee/spec/mailers/emails/group_memberships_spec.rb'
    - 'ee/spec/mailers/emails/in_product_marketing_spec.rb'
    - 'ee/spec/mailers/emails/merge_commits_spec.rb'
    - 'ee/spec/mailers/emails/namespace_storage_usage_mailer_spec.rb'
    - 'ee/spec/mailers/emails/requirements_spec.rb'
    - 'ee/spec/mailers/emails/user_cap_spec.rb'
    - 'ee/spec/mailers/license_mailer_spec.rb'
    - 'ee/spec/mailers/notify_spec.rb'
    - 'ee/spec/presenters/approval_rule_presenter_spec.rb'
    - 'ee/spec/presenters/audit_event_presenter_spec.rb'
    - 'ee/spec/presenters/ci/build_runner_presenter_spec.rb'
    - 'ee/spec/presenters/ci/minutes/usage_presenter_spec.rb'
    - 'ee/spec/presenters/ci/pipeline_presenter_spec.rb'
    - 'ee/spec/presenters/dast/site_profile_presenter_spec.rb'
    - 'ee/spec/presenters/ee/blob_presenter_spec.rb'
    - 'ee/spec/presenters/ee/clusters/cluster_presenter_spec.rb'
    - 'ee/spec/presenters/ee/instance_clusterable_presenter_spec.rb'
    - 'ee/spec/presenters/ee/projects/security/configuration_presenter_spec.rb'
    - 'ee/spec/presenters/epic_issue_presenter_spec.rb'
    - 'ee/spec/presenters/epic_presenter_spec.rb'
    - 'ee/spec/presenters/group_clusterable_presenter_spec.rb'
    - 'ee/spec/presenters/merge_request_approver_presenter_spec.rb'
    - 'ee/spec/presenters/merge_request_presenter_spec.rb'
    - 'ee/spec/presenters/project_clusterable_presenter_spec.rb'
    - 'ee/spec/presenters/subscription_presenter_spec.rb'
    - 'ee/spec/presenters/vulnerability_presenter_spec.rb'
    - 'ee/spec/presenters/web_hooks/group/hook_presenter_spec.rb'
    - 'ee/spec/serializers/analytics/cycle_analytics/stage_entity_spec.rb'
    - 'ee/spec/serializers/analytics/cycle_analytics/value_stream_errors_serializer_spec.rb'
    - 'ee/spec/serializers/audit_event_entity_spec.rb'
    - 'ee/spec/serializers/audit_event_serializer_spec.rb'
    - 'ee/spec/serializers/blocking_merge_request_entity_spec.rb'
    - 'ee/spec/serializers/clusters/deployment_entity_spec.rb'
    - 'ee/spec/serializers/clusters/environment_entity_spec.rb'
    - 'ee/spec/serializers/clusters/environment_serializer_spec.rb'
    - 'ee/spec/serializers/dashboard_environment_entity_spec.rb'
    - 'ee/spec/serializers/dashboard_environments_serializer_spec.rb'
    - 'ee/spec/serializers/dashboard_operations_project_entity_spec.rb'
    - 'ee/spec/serializers/dependency_entity_spec.rb'
    - 'ee/spec/serializers/dependency_list_serializer_spec.rb'
    - 'ee/spec/serializers/ee/blob_entity_spec.rb'
    - 'ee/spec/serializers/ee/build_details_entity_spec.rb'
    - 'ee/spec/serializers/ee/ci/job_entity_spec.rb'
    - 'ee/spec/serializers/ee/deployment_entity_spec.rb'
    - 'ee/spec/serializers/ee/environment_serializer_spec.rb'
    - 'ee/spec/serializers/ee/group_child_entity_spec.rb'
    - 'ee/spec/serializers/ee/issue_board_entity_spec.rb'
    - 'ee/spec/serializers/ee/issue_entity_spec.rb'
    - 'ee/spec/serializers/ee/issue_sidebar_basic_entity_spec.rb'
    - 'ee/spec/serializers/ee/issue_sidebar_extras_entity_spec.rb'
    - 'ee/spec/serializers/ee/merge_request_poll_cached_widget_entity_spec.rb'
    - 'ee/spec/serializers/ee/note_entity_spec.rb'
    - 'ee/spec/serializers/ee/user_serializer_spec.rb'
    - 'ee/spec/serializers/environment_entity_spec.rb'
    - 'ee/spec/serializers/epic_entity_spec.rb'
    - 'ee/spec/serializers/epic_note_entity_spec.rb'
    - 'ee/spec/serializers/epics/related_epic_entity_spec.rb'
    - 'ee/spec/serializers/fork_namespace_entity_spec.rb'
    - 'ee/spec/serializers/geo_project_registry_entity_spec.rb'
    - 'ee/spec/serializers/incident_management/escalation_policy_entity_spec.rb'
    - 'ee/spec/serializers/incident_management/oncall_schedule_entity_spec.rb'
    - 'ee/spec/serializers/integrations/field_entity_spec.rb'
    - 'ee/spec/serializers/integrations/jira_serializers/issue_detail_entity_spec.rb'
    - 'ee/spec/serializers/integrations/jira_serializers/issue_entity_spec.rb'
    - 'ee/spec/serializers/integrations/jira_serializers/issue_serializer_spec.rb'
    - 'ee/spec/serializers/integrations/zentao_serializers/issue_entity_spec.rb'
    - 'ee/spec/serializers/issuable_sidebar_extras_entity_spec.rb'
    - 'ee/spec/serializers/issue_serializer_spec.rb'
    - 'ee/spec/serializers/issues/linked_issue_feature_flag_entity_spec.rb'
    - 'ee/spec/serializers/license_compliance/collapsed_comparer_entity_spec.rb'
    - 'ee/spec/serializers/license_compliance/comparer_entity_spec.rb'
    - 'ee/spec/serializers/licenses_list_entity_spec.rb'
    - 'ee/spec/serializers/licenses_list_serializer_spec.rb'
    - 'ee/spec/serializers/linked_feature_flag_issue_entity_spec.rb'
    - 'ee/spec/serializers/member_entity_spec.rb'
    - 'ee/spec/serializers/member_user_entity_spec.rb'
    - 'ee/spec/serializers/merge_request_poll_widget_entity_spec.rb'
    - 'ee/spec/serializers/merge_request_sidebar_basic_entity_spec.rb'
    - 'ee/spec/serializers/merge_request_widget_entity_spec.rb'
    - 'ee/spec/serializers/pipeline_serializer_spec.rb'
    - 'ee/spec/serializers/productivity_analytics_merge_request_entity_spec.rb'
    - 'ee/spec/serializers/project_mirror_entity_spec.rb'
    - 'ee/spec/serializers/scim_oauth_access_token_entity_spec.rb'
    - 'ee/spec/serializers/security/vulnerability_report_data_entity_spec.rb'
    - 'ee/spec/serializers/status_page/incident_comment_entity_spec.rb'
    - 'ee/spec/serializers/status_page/incident_entity_spec.rb'
    - 'ee/spec/serializers/status_page/incident_serializer_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/feedback_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/finding_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/finding_reports_comparer_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/finding_serializer_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/identifier_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/request_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/response_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/scanner_entity_spec.rb'
    - 'ee/spec/serializers/vulnerability_entity_spec.rb'
    - 'ee/spec/serializers/vulnerability_note_entity_spec.rb'
    - 'ee/spec/views/admin/application_settings/_elasticsearch_form.html.haml_spec.rb'
    - 'ee/spec/views/admin/application_settings/_git_abuse_rate_limit.html.haml_spec.rb'
    - 'ee/spec/views/admin/application_settings/general.html.haml_spec.rb'
    - 'ee/spec/views/admin/dashboard/index.html.haml_spec.rb'
    - 'ee/spec/views/admin/groups/_form.html.haml_spec.rb'
    - 'ee/spec/views/admin/identities/index.html.haml_spec.rb'
    - 'ee/spec/views/admin/users/_credit_card_info.html.haml_spec.rb'
    - 'ee/spec/views/admin/users/index.html.haml_spec.rb'
    - 'ee/spec/views/admin/users/show.html.haml_spec.rb'
    - 'ee/spec/views/clusters/clusters/show.html.haml_spec.rb'
    - 'ee/spec/views/compliance_management/compliance_framework/_project_settings.html.haml_spec.rb'
    - 'ee/spec/views/groups/billings/index.html.haml_spec.rb'
    - 'ee/spec/views/groups/edit.html.haml_spec.rb'
    - 'ee/spec/views/groups/feature_discovery_moments/advanced_features_dashboard.html.haml_spec.rb'
    - 'ee/spec/views/groups/group_members/index.html.haml_spec.rb'
    - 'ee/spec/views/groups/hook_logs/show.html.haml_spec.rb'
    - 'ee/spec/views/groups/hooks/edit.html.haml_spec.rb'
    - 'ee/spec/views/groups/security/discover/show.html.haml_spec.rb'
    - 'ee/spec/views/groups/settings/_remove.html.haml_spec.rb'
    - 'ee/spec/views/groups/settings/reporting/show.html.haml_spec.rb'
    - 'ee/spec/views/layouts/_search.html.haml_spec.rb'
    - 'ee/spec/views/layouts/application.html.haml_spec.rb'
    - 'ee/spec/views/layouts/group.html.haml_spec.rb'
    - 'ee/spec/views/layouts/header/_current_user_dropdown.html.haml_spec.rb'
    - 'ee/spec/views/layouts/header/_new_dropdown.haml_spec.rb'
    - 'ee/spec/views/layouts/header/_read_only_banner.html.haml_spec.rb'
    - 'ee/spec/views/layouts/header/help_dropdown/_cross_stage_fdm.html.haml_spec.rb'
    - 'ee/spec/views/layouts/nav/sidebar/_group.html.haml_spec.rb'
    - 'ee/spec/views/layouts/nav/sidebar/_project.html.haml_spec.rb'
    - 'ee/spec/views/layouts/project.html.haml_spec.rb'
    - 'ee/spec/views/projects/edit.html.haml_spec.rb'
    - 'ee/spec/views/projects/issues/show.html.haml_spec.rb'
    - 'ee/spec/views/projects/on_demand_scans/index.html.haml_spec.rb'
    - 'ee/spec/views/projects/project_members/index.html.haml_spec.rb'
    - 'ee/spec/views/projects/security/corpus_management/show.html.haml_spec.rb'
    - 'ee/spec/views/projects/security/dast_profiles/show.html.haml_spec.rb'
    - 'ee/spec/views/projects/security/dast_scanner_profiles/edit.html.haml_spec.rb'
    - 'ee/spec/views/projects/security/dast_scanner_profiles/new.html.haml_spec.rb'
    - 'ee/spec/views/projects/security/dast_site_profiles/edit.html.haml_spec.rb'
    - 'ee/spec/views/projects/security/dast_site_profiles/new.html.haml_spec.rb'
    - 'ee/spec/views/projects/security/discover/show.html.haml_spec.rb'
    - 'ee/spec/views/projects/security/policies/index.html.haml_spec.rb'
    - 'ee/spec/views/projects/security/sast_configuration/show.html.haml_spec.rb'
    - 'ee/spec/views/projects/settings/subscriptions/_index.html.haml_spec.rb'
    - 'ee/spec/views/registrations/groups_projects/new.html.haml_spec.rb'
    - 'ee/spec/views/registrations/welcome/show.html.haml_spec.rb'
    - 'ee/spec/views/search/_category.html.haml_spec.rb'
    - 'ee/spec/views/shared/_clone_panel.html.haml_spec.rb'
    - 'ee/spec/views/shared/_kerberos_clone_button.html.haml_spec.rb'
    - 'ee/spec/views/shared/_mirror_status.html.haml_spec.rb'
    - 'ee/spec/views/shared/_mirror_update_button.html.haml_spec.rb'
    - 'ee/spec/views/shared/_namespace_user_cap_reached_alert.html.haml_spec.rb'
    - 'ee/spec/views/shared/billings/_eoa_bronze_plan_banner.html.haml_spec.rb'
    - 'ee/spec/views/shared/billings/_trial_status.html.haml_spec.rb'
    - 'ee/spec/views/shared/credentials_inventory/_expiry_date.html.haml_spec.rb'
    - 'ee/spec/views/shared/credentials_inventory/gpg_keys/_gpg_key.html.haml_spec.rb'
    - 'ee/spec/views/shared/credentials_inventory/personal_access_tokens/_personal_access_token.html.haml_spec.rb'
    - 'ee/spec/views/shared/credentials_inventory/resource_access_tokens/_resource_access_token.html.haml_spec.rb'
    - 'ee/spec/views/shared/credentials_inventory/ssh_keys/_ssh_key.html.haml_spec.rb'
    - 'ee/spec/views/shared/issuable/_approver_suggestion.html.haml_spec.rb'
    - 'ee/spec/views/shared/issuable/_sidebar.html.haml_spec.rb'
    - 'ee/spec/views/shared/labels/_create_label_help_text.html.haml_spec.rb'
    - 'ee/spec/views/shared/milestones/_milestone.html.haml_spec.rb'
    - 'ee/spec/views/shared/promotions/_promotion_link_project.html.haml_spec.rb'
    - 'spec/components/diffs/overflow_warning_component_spec.rb'
    - 'spec/components/diffs/stats_component_spec.rb'
    - 'spec/components/pajamas/avatar_component_spec.rb'
    - 'spec/helpers/admin/identities_helper_spec.rb'
    - 'spec/helpers/admin/user_actions_helper_spec.rb'
    - 'spec/helpers/analytics/cycle_analytics_helper_spec.rb'
    - 'spec/helpers/appearances_helper_spec.rb'
    - 'spec/helpers/application_helper_spec.rb'
    - 'spec/helpers/application_settings_helper_spec.rb'
    - 'spec/helpers/auth_helper_spec.rb'
    - 'spec/helpers/auto_devops_helper_spec.rb'
    - 'spec/helpers/avatars_helper_spec.rb'
    - 'spec/helpers/award_emoji_helper_spec.rb'
    - 'spec/helpers/blob_helper_spec.rb'
    - 'spec/helpers/boards_helper_spec.rb'
    - 'spec/helpers/branches_helper_spec.rb'
    - 'spec/helpers/broadcast_messages_helper_spec.rb'
    - 'spec/helpers/button_helper_spec.rb'
    - 'spec/helpers/calendar_helper_spec.rb'
    - 'spec/helpers/ci/builds_helper_spec.rb'
    - 'spec/helpers/ci/jobs_helper_spec.rb'
    - 'spec/helpers/ci/pipeline_editor_helper_spec.rb'
    - 'spec/helpers/ci/pipelines_helper_spec.rb'
    - 'spec/helpers/ci/runners_helper_spec.rb'
    - 'spec/helpers/ci/secure_files_helper_spec.rb'
    - 'spec/helpers/clusters_helper_spec.rb'
    - 'spec/helpers/commits_helper_spec.rb'
    - 'spec/helpers/diff_helper_spec.rb'
    - 'spec/helpers/emails_helper_spec.rb'
    - 'spec/helpers/environment_helper_spec.rb'
    - 'spec/helpers/environments_helper_spec.rb'
    - 'spec/helpers/events_helper_spec.rb'
    - 'spec/helpers/feature_flags_helper_spec.rb'
    - 'spec/helpers/gitlab_routing_helper_spec.rb'
    - 'spec/helpers/graph_helper_spec.rb'
    - 'spec/helpers/groups/group_members_helper_spec.rb'
    - 'spec/helpers/groups/settings_helper_spec.rb'
    - 'spec/helpers/groups_helper_spec.rb'
    - 'spec/helpers/ide_helper_spec.rb'
    - 'spec/helpers/import_helper_spec.rb'
    - 'spec/helpers/integrations_helper_spec.rb'
    - 'spec/helpers/invite_members_helper_spec.rb'
    - 'spec/helpers/issuables_description_templates_helper_spec.rb'
    - 'spec/helpers/issuables_helper_spec.rb'
    - 'spec/helpers/issues_helper_spec.rb'
    - 'spec/helpers/jira_connect_helper_spec.rb'
    - 'spec/helpers/keyset_helper_spec.rb'
    - 'spec/helpers/labels_helper_spec.rb'
    - 'spec/helpers/lazy_image_tag_helper_spec.rb'
    - 'spec/helpers/markup_helper_spec.rb'
    - 'spec/helpers/members_helper_spec.rb'
    - 'spec/helpers/merge_requests_helper_spec.rb'
    - 'spec/helpers/namespaces_helper_spec.rb'
    - 'spec/helpers/nav/top_nav_helper_spec.rb'
    - 'spec/helpers/nav_helper_spec.rb'
    - 'spec/helpers/notes_helper_spec.rb'
    - 'spec/helpers/notifications_helper_spec.rb'
    - 'spec/helpers/notify_helper_spec.rb'
    - 'spec/helpers/operations_helper_spec.rb'
    - 'spec/helpers/packages_helper_spec.rb'
    - 'spec/helpers/profiles_helper_spec.rb'
    - 'spec/helpers/projects/alert_management_helper_spec.rb'
    - 'spec/helpers/projects/cluster_agents_helper_spec.rb'
    - 'spec/helpers/projects/ml/experiments_helper_spec.rb'
    - 'spec/helpers/projects/pages_helper_spec.rb'
    - 'spec/helpers/projects/pipeline_helper_spec.rb'
    - 'spec/helpers/projects/project_members_helper_spec.rb'
    - 'spec/helpers/projects/security/configuration_helper_spec.rb'
    - 'spec/helpers/projects/terraform_helper_spec.rb'
    - 'spec/helpers/projects_helper_spec.rb'
    - 'spec/helpers/releases_helper_spec.rb'
    - 'spec/helpers/routing/pseudonymization_helper_spec.rb'
    - 'spec/helpers/rss_helper_spec.rb'
    - 'spec/helpers/search_helper_spec.rb'
    - 'spec/helpers/snippets_helper_spec.rb'
    - 'spec/helpers/storage_helper_spec.rb'
    - 'spec/helpers/submodule_helper_spec.rb'
    - 'spec/helpers/timeboxes_helper_spec.rb'
    - 'spec/helpers/todos_helper_spec.rb'
    - 'spec/helpers/tree_helper_spec.rb'
    - 'spec/helpers/users/callouts_helper_spec.rb'
    - 'spec/helpers/users/group_callouts_helper_spec.rb'
    - 'spec/helpers/users_helper_spec.rb'
    - 'spec/helpers/version_check_helper_spec.rb'
    - 'spec/helpers/visibility_level_helper_spec.rb'
    - 'spec/helpers/web_hooks/web_hooks_helper_spec.rb'
    - 'spec/helpers/whats_new_helper_spec.rb'
    - 'spec/helpers/wiki_helper_spec.rb'
    - 'spec/helpers/wiki_page_version_helper_spec.rb'
    - 'spec/mailers/abuse_report_mailer_spec.rb'
    - 'spec/mailers/devise_mailer_spec.rb'
    - 'spec/mailers/emails/auto_devops_spec.rb'
    - 'spec/mailers/emails/groups_spec.rb'
    - 'spec/mailers/emails/in_product_marketing_spec.rb'
    - 'spec/mailers/emails/issues_spec.rb'
    - 'spec/mailers/emails/merge_requests_spec.rb'
    - 'spec/mailers/emails/pages_domains_spec.rb'
    - 'spec/mailers/emails/pipelines_spec.rb'
    - 'spec/mailers/emails/profile_spec.rb'
    - 'spec/mailers/emails/projects_spec.rb'
    - 'spec/mailers/emails/releases_spec.rb'
    - 'spec/mailers/emails/service_desk_spec.rb'
    - 'spec/mailers/notify_spec.rb'
    - 'spec/mailers/previews_spec.rb'
    - 'spec/mailers/repository_check_mailer_spec.rb'
    - 'spec/presenters/alert_management/alert_presenter_spec.rb'
    - 'spec/presenters/blob_presenter_spec.rb'
    - 'spec/presenters/blobs/notebook_presenter_spec.rb'
    - 'spec/presenters/ci/bridge_presenter_spec.rb'
    - 'spec/presenters/ci/build_presenter_spec.rb'
    - 'spec/presenters/ci/build_runner_presenter_spec.rb'
    - 'spec/presenters/ci/group_variable_presenter_spec.rb'
    - 'spec/presenters/ci/pipeline_artifacts/code_coverage_presenter_spec.rb'
    - 'spec/presenters/ci/pipeline_artifacts/code_quality_mr_diff_presenter_spec.rb'
    - 'spec/presenters/ci/pipeline_presenter_spec.rb'
    - 'spec/presenters/ci/stage_presenter_spec.rb'
    - 'spec/presenters/ci/trigger_presenter_spec.rb'
    - 'spec/presenters/ci/variable_presenter_spec.rb'
    - 'spec/presenters/clusterable_presenter_spec.rb'
    - 'spec/presenters/clusters/cluster_presenter_spec.rb'
    - 'spec/presenters/commit_presenter_spec.rb'
    - 'spec/presenters/commit_status_presenter_spec.rb'
    - 'spec/presenters/deployments/deployment_presenter_spec.rb'
    - 'spec/presenters/event_presenter_spec.rb'
    - 'spec/presenters/gitlab/blame_presenter_spec.rb'
    - 'spec/presenters/group_clusterable_presenter_spec.rb'
    - 'spec/presenters/instance_clusterable_presenter_spec.rb'
    - 'spec/presenters/issue_presenter_spec.rb'
    - 'spec/presenters/label_presenter_spec.rb'
    - 'spec/presenters/merge_request_presenter_spec.rb'
    - 'spec/presenters/milestone_presenter_spec.rb'
    - 'spec/presenters/packages/composer/packages_presenter_spec.rb'
    - 'spec/presenters/packages/conan/package_presenter_spec.rb'
    - 'spec/presenters/packages/detail/package_presenter_spec.rb'
    - 'spec/presenters/packages/helm/index_presenter_spec.rb'
    - 'spec/presenters/packages/npm/package_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/package_metadata_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/packages_metadata_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/packages_versions_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/search_results_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/service_index_presenter_spec.rb'
    - 'spec/presenters/packages/pypi/simple_index_presenter_spec.rb'
    - 'spec/presenters/packages/pypi/simple_package_versions_presenter_spec.rb'
    - 'spec/presenters/pages_domain_presenter_spec.rb'
    - 'spec/presenters/project_clusterable_presenter_spec.rb'
    - 'spec/presenters/project_hook_presenter_spec.rb'
    - 'spec/presenters/project_presenter_spec.rb'
    - 'spec/presenters/projects/import_export/project_export_presenter_spec.rb'
    - 'spec/presenters/projects/security/configuration_presenter_spec.rb'
    - 'spec/presenters/projects/settings/deploy_keys_presenter_spec.rb'
    - 'spec/presenters/prometheus_alert_presenter_spec.rb'
    - 'spec/presenters/release_presenter_spec.rb'
    - 'spec/presenters/releases/link_presenter_spec.rb'
    - 'spec/presenters/search_service_presenter_spec.rb'
    - 'spec/presenters/service_hook_presenter_spec.rb'
    - 'spec/presenters/snippet_blob_presenter_spec.rb'
    - 'spec/presenters/snippet_presenter_spec.rb'
    - 'spec/presenters/terraform/modules_presenter_spec.rb'
    - 'spec/presenters/tree_entry_presenter_spec.rb'
    - 'spec/presenters/user_presenter_spec.rb'
    - 'spec/presenters/web_hook_log_presenter_spec.rb'
    - 'spec/serializers/access_token_entity_base_spec.rb'
    - 'spec/serializers/analytics_build_entity_spec.rb'
    - 'spec/serializers/analytics_build_serializer_spec.rb'
    - 'spec/serializers/analytics_issue_entity_spec.rb'
    - 'spec/serializers/analytics_issue_serializer_spec.rb'
    - 'spec/serializers/analytics_merge_request_serializer_spec.rb'
    - 'spec/serializers/analytics_summary_serializer_spec.rb'
    - 'spec/serializers/base_discussion_entity_spec.rb'
    - 'spec/serializers/blob_entity_spec.rb'
    - 'spec/serializers/build_action_entity_spec.rb'
    - 'spec/serializers/build_artifact_entity_spec.rb'
    - 'spec/serializers/build_details_entity_spec.rb'
    - 'spec/serializers/ci/dag_job_entity_spec.rb'
    - 'spec/serializers/ci/dag_job_group_entity_spec.rb'
    - 'spec/serializers/ci/dag_pipeline_entity_spec.rb'
    - 'spec/serializers/ci/dag_pipeline_serializer_spec.rb'
    - 'spec/serializers/ci/dag_stage_entity_spec.rb'
    - 'spec/serializers/ci/downloadable_artifact_entity_spec.rb'
    - 'spec/serializers/ci/downloadable_artifact_serializer_spec.rb'
    - 'spec/serializers/ci/group_variable_entity_spec.rb'
    - 'spec/serializers/ci/job_entity_spec.rb'
    - 'spec/serializers/ci/job_serializer_spec.rb'
    - 'spec/serializers/ci/lint/result_serializer_spec.rb'
    - 'spec/serializers/ci/pipeline_entity_spec.rb'
    - 'spec/serializers/ci/trigger_entity_spec.rb'
    - 'spec/serializers/ci/variable_entity_spec.rb'
    - 'spec/serializers/cluster_application_entity_spec.rb'
    - 'spec/serializers/cluster_entity_spec.rb'
    - 'spec/serializers/cluster_serializer_spec.rb'
    - 'spec/serializers/clusters/kubernetes_error_entity_spec.rb'
    - 'spec/serializers/commit_entity_spec.rb'
    - 'spec/serializers/container_repositories_serializer_spec.rb'
    - 'spec/serializers/container_repository_entity_spec.rb'
    - 'spec/serializers/container_tag_entity_spec.rb'
    - 'spec/serializers/context_commits_diff_entity_spec.rb'
    - 'spec/serializers/deploy_keys/basic_deploy_key_entity_spec.rb'
    - 'spec/serializers/deploy_keys/deploy_key_entity_spec.rb'
    - 'spec/serializers/deployment_cluster_entity_spec.rb'
    - 'spec/serializers/deployment_entity_spec.rb'
    - 'spec/serializers/deployment_serializer_spec.rb'
    - 'spec/serializers/diff_file_base_entity_spec.rb'
    - 'spec/serializers/diff_file_entity_spec.rb'
    - 'spec/serializers/diff_file_metadata_entity_spec.rb'
    - 'spec/serializers/diff_viewer_entity_spec.rb'
    - 'spec/serializers/diffs_entity_spec.rb'
    - 'spec/serializers/diffs_metadata_entity_spec.rb'
    - 'spec/serializers/discussion_diff_file_entity_spec.rb'
    - 'spec/serializers/discussion_entity_spec.rb'
    - 'spec/serializers/environment_entity_spec.rb'
    - 'spec/serializers/environment_serializer_spec.rb'
    - 'spec/serializers/environment_status_entity_spec.rb'
    - 'spec/serializers/evidences/evidence_entity_spec.rb'
    - 'spec/serializers/evidences/release_entity_spec.rb'
    - 'spec/serializers/feature_flag_entity_spec.rb'
    - 'spec/serializers/feature_flag_serializer_spec.rb'
    - 'spec/serializers/feature_flag_summary_entity_spec.rb'
    - 'spec/serializers/feature_flag_summary_serializer_spec.rb'
    - 'spec/serializers/feature_flags_client_serializer_spec.rb'
    - 'spec/serializers/fork_namespace_entity_spec.rb'
    - 'spec/serializers/group_access_token_entity_spec.rb'
    - 'spec/serializers/group_access_token_serializer_spec.rb'
    - 'spec/serializers/group_child_entity_spec.rb'
    - 'spec/serializers/group_child_serializer_spec.rb'
    - 'spec/serializers/group_deploy_key_entity_spec.rb'
    - 'spec/serializers/group_link/group_group_link_entity_spec.rb'
    - 'spec/serializers/group_link/project_group_link_entity_spec.rb'
    - 'spec/serializers/group_link/project_group_link_serializer_spec.rb'
    - 'spec/serializers/impersonation_access_token_entity_spec.rb'
    - 'spec/serializers/impersonation_access_token_serializer_spec.rb'
    - 'spec/serializers/import/manifest_provider_repo_entity_spec.rb'
    - 'spec/serializers/integrations/event_entity_spec.rb'
    - 'spec/serializers/integrations/harbor_serializers/artifact_entity_spec.rb'
    - 'spec/serializers/integrations/harbor_serializers/repository_entity_spec.rb'
    - 'spec/serializers/integrations/harbor_serializers/tag_entity_spec.rb'
    - 'spec/serializers/integrations/project_entity_spec.rb'
    - 'spec/serializers/issuable_sidebar_extras_entity_spec.rb'
    - 'spec/serializers/issue_board_entity_spec.rb'
    - 'spec/serializers/issue_entity_spec.rb'
    - 'spec/serializers/issue_serializer_spec.rb'
    - 'spec/serializers/issue_sidebar_basic_entity_spec.rb'
    - 'spec/serializers/jira_connect/app_data_serializer_spec.rb'
    - 'spec/serializers/jira_connect/group_entity_spec.rb'
    - 'spec/serializers/jira_connect/subscription_entity_spec.rb'
    - 'spec/serializers/job_artifact_report_entity_spec.rb'
    - 'spec/serializers/label_serializer_spec.rb'
    - 'spec/serializers/lfs_file_lock_entity_spec.rb'
    - 'spec/serializers/linked_project_issue_entity_spec.rb'
    - 'spec/serializers/member_entity_spec.rb'
    - 'spec/serializers/member_serializer_spec.rb'
    - 'spec/serializers/member_user_entity_spec.rb'
    - 'spec/serializers/merge_request_current_user_entity_spec.rb'
    - 'spec/serializers/merge_request_diff_entity_spec.rb'
    - 'spec/serializers/merge_request_for_pipeline_entity_spec.rb'
    - 'spec/serializers/merge_request_metrics_helper_spec.rb'
    - 'spec/serializers/merge_request_poll_cached_widget_entity_spec.rb'
    - 'spec/serializers/merge_request_poll_widget_entity_spec.rb'
    - 'spec/serializers/merge_request_serializer_spec.rb'
    - 'spec/serializers/merge_request_sidebar_basic_entity_spec.rb'
    - 'spec/serializers/merge_request_sidebar_extras_entity_spec.rb'
    - 'spec/serializers/merge_request_user_entity_spec.rb'
    - 'spec/serializers/merge_request_widget_commit_entity_spec.rb'
    - 'spec/serializers/merge_request_widget_entity_spec.rb'
    - 'spec/serializers/merge_requests/pipeline_entity_spec.rb'
    - 'spec/serializers/namespace_basic_entity_spec.rb'
    - 'spec/serializers/note_entity_spec.rb'
    - 'spec/serializers/paginated_diff_entity_spec.rb'
    - 'spec/serializers/personal_access_token_entity_spec.rb'
    - 'spec/serializers/personal_access_token_serializer_spec.rb'
    - 'spec/serializers/pipeline_details_entity_spec.rb'
    - 'spec/serializers/pipeline_serializer_spec.rb'
    - 'spec/serializers/project_access_token_entity_spec.rb'
    - 'spec/serializers/project_access_token_serializer_spec.rb'
    - 'spec/serializers/project_import_entity_spec.rb'
    - 'spec/serializers/project_mirror_entity_spec.rb'
    - 'spec/serializers/project_note_entity_spec.rb'
    - 'spec/serializers/project_serializer_spec.rb'
    - 'spec/serializers/review_app_setup_entity_spec.rb'
    - 'spec/serializers/runner_entity_spec.rb'
    - 'spec/serializers/serverless/domain_entity_spec.rb'
    - 'spec/serializers/stage_entity_spec.rb'
    - 'spec/serializers/stage_serializer_spec.rb'
    - 'spec/serializers/suggestion_entity_spec.rb'
    - 'spec/serializers/test_case_entity_spec.rb'
    - 'spec/serializers/test_report_entity_spec.rb'
    - 'spec/serializers/test_report_summary_entity_spec.rb'
    - 'spec/serializers/test_suite_entity_spec.rb'
    - 'spec/serializers/test_suite_summary_entity_spec.rb'
    - 'spec/serializers/trigger_variable_entity_spec.rb'
    - 'spec/serializers/user_entity_spec.rb'
    - 'spec/serializers/user_serializer_spec.rb'
    - 'spec/serializers/web_ide_terminal_entity_spec.rb'
    - 'spec/serializers/web_ide_terminal_serializer_spec.rb'
    - 'spec/views/admin/application_settings/_ci_cd.html.haml_spec.rb'
    - 'spec/views/admin/application_settings/_eks.html.haml_spec.rb'
    - 'spec/views/admin/application_settings/_jira_connect.html.haml_spec.rb'
    - 'spec/views/admin/application_settings/_package_registry.html.haml_spec.rb'
    - 'spec/views/admin/application_settings/_repository_check.html.haml_spec.rb'
    - 'spec/views/admin/application_settings/ci_cd.html.haml_spec.rb'
    - 'spec/views/admin/application_settings/general.html.haml_spec.rb'
    - 'spec/views/admin/application_settings/repository.html.haml_spec.rb'
    - 'spec/views/admin/broadcast_messages/index.html.haml_spec.rb'
    - 'spec/views/admin/dashboard/index.html.haml_spec.rb'
    - 'spec/views/admin/identities/index.html.haml_spec.rb'
    - 'spec/views/admin/sessions/new.html.haml_spec.rb'
    - 'spec/views/admin/sessions/two_factor.html.haml_spec.rb'
    - 'spec/views/ci/status/_badge.html.haml_spec.rb'
    - 'spec/views/ci/status/_icon.html.haml_spec.rb'
    - 'spec/views/dashboard/projects/_blank_state_admin_welcome.haml_spec.rb'
    - 'spec/views/dashboard/projects/_blank_state_welcome.html.haml_spec.rb'
    - 'spec/views/events/event/_common.html.haml_spec.rb'
    - 'spec/views/groups/_home_panel.html.haml_spec.rb'
    - 'spec/views/groups/edit.html.haml_spec.rb'
    - 'spec/views/groups/group_members/index.html.haml_spec.rb'
    - 'spec/views/groups/new.html.haml_spec.rb'
    - 'spec/views/help/instance_configuration.html.haml_spec.rb'
    - 'spec/views/layouts/_search.html.haml_spec.rb'
    - 'spec/views/layouts/application.html.haml_spec.rb'
    - 'spec/views/layouts/devise.html.haml_spec.rb'
    - 'spec/views/layouts/fullscreen.html.haml_spec.rb'
    - 'spec/views/layouts/header/_new_dropdown.haml_spec.rb'
    - 'spec/views/layouts/nav/sidebar/_group.html.haml_spec.rb'
    - 'spec/views/layouts/nav/sidebar/_profile.html.haml_spec.rb'
    - 'spec/views/layouts/nav/sidebar/_project.html.haml_spec.rb'
    - 'spec/views/layouts/profile.html.haml_spec.rb'
    - 'spec/views/layouts/terms.html.haml_spec.rb'
    - 'spec/views/notify/approved_merge_request_email.html.haml_spec.rb'
    - 'spec/views/notify/autodevops_disabled_email.text.erb_spec.rb'
    - 'spec/views/notify/change_in_merge_request_draft_status_email.html.haml_spec.rb'
    - 'spec/views/notify/change_in_merge_request_draft_status_email.text.erb_spec.rb'
    - 'spec/views/notify/changed_milestone_email.html.haml_spec.rb'
    - 'spec/views/notify/import_issues_csv_email.html.haml_spec.rb'
    - 'spec/views/notify/pipeline_failed_email.text.erb_spec.rb'
    - 'spec/views/notify/push_to_merge_request_email.text.haml_spec.rb'
    - 'spec/views/profiles/audit_log.html.haml_spec.rb'
    - 'spec/views/profiles/keys/_key.html.haml_spec.rb'
    - 'spec/views/profiles/keys/_key_details.html.haml_spec.rb'
    - 'spec/views/profiles/notifications/show.html.haml_spec.rb'
    - 'spec/views/profiles/show.html.haml_spec.rb'
    - 'spec/views/projects/_files.html.haml_spec.rb'
    - 'spec/views/projects/_flash_messages.html.haml_spec.rb'
    - 'spec/views/projects/_home_panel.html.haml_spec.rb'
    - 'spec/views/projects/branches/index.html.haml_spec.rb'
    - 'spec/views/projects/commit/_commit_box.html.haml_spec.rb'
    - 'spec/views/projects/commit/branches.html.haml_spec.rb'
    - 'spec/views/projects/commit/show.html.haml_spec.rb'
    - 'spec/views/projects/commits/_commit.html.haml_spec.rb'
    - 'spec/views/projects/commits/show.html.haml_spec.rb'
    - 'spec/views/projects/diffs/_viewer.html.haml_spec.rb'
    - 'spec/views/projects/edit.html.haml_spec.rb'
    - 'spec/views/projects/empty.html.haml_spec.rb'
    - 'spec/views/projects/environments/terminal.html.haml_spec.rb'
    - 'spec/views/projects/hooks/edit.html.haml_spec.rb'
    - 'spec/views/projects/hooks/index.html.haml_spec.rb'
    - 'spec/views/projects/imports/new.html.haml_spec.rb'
    - 'spec/views/projects/issues/_issue.html.haml_spec.rb'
    - 'spec/views/projects/issues/_service_desk_info_content.html.haml_spec.rb'
    - 'spec/views/projects/issues/show.html.haml_spec.rb'
    - 'spec/views/projects/jobs/_build.html.haml_spec.rb'
    - 'spec/views/projects/jobs/_generic_commit_status.html.haml_spec.rb'
    - 'spec/views/projects/jobs/show.html.haml_spec.rb'
    - 'spec/views/projects/merge_requests/_close_reopen_draft_report_toggle.html.haml_spec.rb'
    - 'spec/views/projects/merge_requests/_commits.html.haml_spec.rb'
    - 'spec/views/projects/merge_requests/creations/_new_submit.html.haml_spec.rb'
    - 'spec/views/projects/merge_requests/edit.html.haml_spec.rb'
    - 'spec/views/projects/notes/_more_actions_dropdown.html.haml_spec.rb'
    - 'spec/views/projects/pages/new.html.haml_spec.rb'
    - 'spec/views/projects/pages/show.html.haml_spec.rb'
    - 'spec/views/projects/pages_domains/show.html.haml_spec.rb'
    - 'spec/views/projects/pipeline_schedules/_pipeline_schedule.html.haml_spec.rb'
    - 'spec/views/projects/pipelines/show.html.haml_spec.rb'
    - 'spec/views/projects/project_members/index.html.haml_spec.rb'
    - 'spec/views/projects/settings/ci_cd/_autodevops_form.html.haml_spec.rb'
    - 'spec/views/projects/settings/integrations/edit.html.haml_spec.rb'
    - 'spec/views/projects/settings/merge_requests/show.html.haml_spec.rb'
    - 'spec/views/projects/settings/operations/show.html.haml_spec.rb'
    - 'spec/views/projects/tags/index.html.haml_spec.rb'
    - 'spec/views/projects/tree/show.html.haml_spec.rb'
    - 'spec/views/registrations/welcome/show.html.haml_spec.rb'
    - 'spec/views/search/_results.html.haml_spec.rb'
    - 'spec/views/shared/_label_row.html.haml_spec.rb'
    - 'spec/views/shared/issuable/_sidebar.html.haml_spec.rb'
    - 'spec/views/shared/milestones/_issuable.html.haml_spec.rb'
    - 'spec/views/shared/milestones/_top.html.haml_spec.rb'
    - 'spec/views/shared/nav/_sidebar.html.haml_spec.rb'
    - 'spec/views/shared/notes/_form.html.haml_spec.rb'
    - 'spec/views/shared/projects/_inactive_project_deletion_alert.html.haml_spec.rb'
    - 'spec/views/shared/projects/_list.html.haml_spec.rb'
    - 'spec/views/shared/projects/_project.html.haml_spec.rb'
    - 'spec/views/shared/runners/_runner_details.html.haml_spec.rb'
    - 'spec/views/shared/snippets/_snippet.html.haml_spec.rb'
    - 'spec/views/shared/web_hooks/_web_hook_disabled_alert.html.haml_spec.rb'
    - 'spec/views/shared/wikis/_sidebar.html.haml_spec.rb'
